aboutsummaryrefslogtreecommitdiffstats
path: root/community/freeipmi/bmc-watchdog.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/freeipmi/bmc-watchdog.initd')
-rw-r--r--community/freeipmi/bmc-watchdog.initd26
1 files changed, 26 insertions, 0 deletions
diff --git a/community/freeipmi/bmc-watchdog.initd b/community/freeipmi/bmc-watchdog.initd
new file mode 100644
index 00000000000..6beab06597c
--- /dev/null
+++ b/community/freeipmi/bmc-watchdog.initd
@@ -0,0 +1,26 @@
+#!/sbin/openrc-run
+
+description="BMC Watchdog daemon"
+pidfile="/var/run/$RC_SVCNAME.pid"
+command="/usr/sbin/$RC_SVCNAME"
+
+start() {
+ ebegin "Starting $RC_SVCNAME"
+ start-stop-daemon --start \
+ --exec $command \
+ --pidfile $pidfile \
+ --make-pidfile \
+ --quiet \
+ --background \
+ -- \
+ --daemon
+ $OPTIONS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $RC_SVCNAME"
+ start-stop-daemon --stop \
+ --pidfile $pidfile
+ eend $?
+}